classification
Title: proxy_bypass_macosx_sysconf does not handle singel ip addresses correctly
Type: behavior Stage:
Components: macOS Versions: Python 2.6
process
Status: closed Resolution:
Dependencies: Superseder:
Assigned To: ronaldoussoren Nosy List: Serge.Droz, ronaldoussoren
Priority: normal Keywords: patch

Created on 2012-03-15 22:49 by Serge.Droz, last changed 2012-10-15 07:52 by ronaldoussoren. This issue is now closed.

Files
File name Uploaded Description Edit
urllib_macos.diff Serge.Droz, 2012-03-15 22:49
Messages (2)
msg155973 - (view) Author: Serge Droz (Serge.Droz) Date: 2012-03-15 22:49
On MacOS in urllib the function proxy_bypass_macosx_sysconf does not handle proxy settings which are just IP addresses correctly:
If there is any IP address, always true is reported.

Reason: the mask is calculated wrong.
The attached patch fixes this.

NB This is also an issue in other python versions
msg168649 - (view) Author: Ronald Oussoren (ronaldoussoren) * (Python committer) Date: 2012-08-20 11:53
Patch seems to be present in the current maintenance and development releases (2.7, 3.2 and 3.3).

Can you confirm that this issue is no longer present in python 2.7 and later?
History
Date User Action Args
2012-10-15 07:52:48ronaldoussorensetstatus: pending -> closed
2012-08-29 09:44:57ronaldoussorensetstatus: open -> pending
type: behavior
2012-08-20 11:53:53ronaldoussorensetmessages: + msg168649
2012-03-15 22:49:13Serge.Drozcreate